Package org.apache.catalina.ssi

## Class SSIFsize

- java.lang.Object
- - org.apache.catalina.ssi.SSIFsize

All Implemented Interfaces:
  `SSICommand`

    public final class SSIFsize
    extends java.lang.Object
    implements SSICommand

Implements the Server-side #fsize command

Author:
  Bip Thelin, Paul Speed, Dan Sandberg, David Becker

### Constructor Summary

Constructors
`SSIFsize()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `formatSize​(long size, java.lang.String format)`
`java.lang.String` `padLeft​(java.lang.String str, int maxChars)`
`long` `process​(SSIMediator ssiMediator, java.lang.String commandName, java.lang.String[] paramNames, java.lang.String[] paramValues, java.io.PrintWriter writer)` Write the output of the command to the writer.
`java.lang.String` `repeat​(char aChar, int numChars)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SSIFsize

    public SSIFsize()

### Method Detail

#### process

    public long process​(SSIMediator ssiMediator,
                        java.lang.String commandName,
                        java.lang.String[] paramNames,
                        java.lang.String[] paramValues,
                        java.io.PrintWriter writer)

Description copied from interface: `SSICommand`
Write the output of the command to the writer.

Specified by:
  `process` in interface `SSICommand`
Parameters:
  `ssiMediator` - the ssi mediator
  `commandName` - the name of the actual command ( ie. echo )
  `paramNames` - The parameter names
  `paramValues` - The parameter values
  `writer` - the writer to output to
Returns:
  the most current modified date resulting from any SSI commands
See Also:
  `SSICommand`

#### repeat

    public java.lang.String repeat​(char aChar,
                                   int numChars)

#### padLeft

    public java.lang.String padLeft​(java.lang.String str,
                                    int maxChars)

#### formatSize

    protected java.lang.String formatSize​(long size,
                                          java.lang.String format)